Page MenuHomePhabricator

Deploy AICaptcha data collection
Closed, ResolvedPublic

Description

See T183869: Collect AICaptcha data from WikimediaEvents extension and m:Research:Spambot detection via registration page behavior for context, and T183991: UI for notifying users about data collection for the UI. Plan is to deploy to group1 on Monday and group2 on Tuesday. The first step involves backporting MediaWiki-extensions-WikimediaEvents and MediaWiki-extensions-Campaigns patches to the active WMF branch; the second is just a config change.

Adding Performance-Team for visibility. The patch pulls in OOUI core for the popup widget, which adds ~50K (after gzip) Javascript to the registration page, which means almost doubling the size of the page. (This is done on desktop only.) Assuming this is not a big deal since it has to be done sooner or later anyway due to T85853.

Monitoring is tracked in T185870. The logging code is planned to be live for about a month.


Was disabled in 2018 September and undeployed in 2019 January.

Event Timeline

Tgr created this task.Feb 1 2018, 6:23 PM
Tgr updated the task description. (Show Details)Feb 1 2018, 7:51 PM
Tgr added a comment.Feb 1 2018, 8:05 PM

Actually let's make that group1 on Monday (with some manual testing on group0 first). I doubt there would be anyone to tell us if we did something questionable to the group0 registration pages.

Tgr updated the task description. (Show Details)Feb 2 2018, 4:04 AM

@ovasileva @phuedx heads up that this is happening (assuming all the dependencies get resolved in time).

Change 408360 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable AICaptcha data collection on testwiki

https://gerrit.wikimedia.org/r/408360

Change 408363 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable AICaptcha data collection on group0/group1

https://gerrit.wikimedia.org/r/408363

Change 408364 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable AICaptcha data collection everywhere

https://gerrit.wikimedia.org/r/408364

Change 408360 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AICaptcha data collection on testwiki

https://gerrit.wikimedia.org/r/408360

Mentioned in SAL (#wikimedia-operations) [2018-02-05T20:48:41Z] <tgr@tin> Started scap: T186244 backporting patches and enabling AICaptcha data collection on testwiki

Tgr added a project: User-notice.EditedFeb 5 2018, 8:55 PM

D'oh, forgot to tag this for Tech News attention. Better late than never... the suggested text would be something like Registration pages now collect keyboard/mouse usage information for research on identifying spambots. Find out more.

Mentioned in SAL (#wikimedia-operations) [2018-02-05T21:07:05Z] <tgr@tin> Finished scap: T186244 backporting patches and enabling AICaptcha data collection on testwiki (duration: 18m 24s)

Tgr added a comment.Feb 5 2018, 9:08 PM

Backported 408352, 408358, 408362 and 408351 and enabled on testwiki. Will do the rest of group1 in today's evening SWAT.

Imarlier moved this task from Inbox to Radar on the Performance-Team board.Feb 5 2018, 9:12 PM
Imarlier edited projects, added Performance-Team (Radar); removed Performance-Team.

Change 408381 had a related patch set uploaded (by Groovier1; owner: Groovier1):
[operations/mediawiki-config@master] Adding config for WikimediaEvents module for logging behaviour data

https://gerrit.wikimedia.org/r/408381

Change 408386 had a related patch set uploaded (by Groovier1; owner: Groovier1):
[operations/mediawiki-config@master] Adding config for WikimediaEvents module for logging behaviour data

https://gerrit.wikimedia.org/r/408386

Change 408363 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AICaptcha data collection on group0/group1

https://gerrit.wikimedia.org/r/408363

Mentioned in SAL (#wikimedia-operations) [2018-02-06T01:47:30Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:408363|Enable AICaptcha data collection on group0/group1]] T186244 (duration: 00m 56s)

Change 408364 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AICaptcha data collection everywhere

https://gerrit.wikimedia.org/r/408364

Mentioned in SAL (#wikimedia-operations) [2018-02-07T01:05:38Z] <ladsgroup@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:408364|Enable AICaptcha data collection everywhere (T186244)]] (duration: 01m 11s)

Tgr added a comment.EditedFeb 8 2018, 11:16 PM

This was done on Tuesday, but still needs follow-ups:

  • improve notice layout, per T183991#3956563
  • verify that ServerSideAccountCreation logging was fixed (tracked in T185870)

@Tgr Please consider deploying on https://deployment.wikimedia.beta.wmflabs.org/wiki/Main_Page too -- that wiki is non-stop spambots.

Tgr added a comment.Feb 20 2018, 7:44 PM

We did, but it's probably not terribly useful due to T185952: EventLogging broken in beta.

/me head-desk - okay :-(

Change 408386 abandoned by Gergő Tisza:
Adding config for WikimediaEvents module for logging behaviour data

Reason:
was deployed in a different patch

https://gerrit.wikimedia.org/r/408386

Change 408381 abandoned by Gergő Tisza:
Adding config for WikimediaEvents module for logging behaviour data

Reason:
was deployed in a different patch

https://gerrit.wikimedia.org/r/408381

LGoto added a subscriber: LGoto.

Hi @Tgr as per grooming, moving this to backlog for now. If you're ready to start work, feel free to move to kanban.

LGoto triaged this task as Low priority.Aug 8 2018, 3:59 PM
LGoto moved this task from Needs triage to Backlog on the Reading-Infrastructure-Team-Backlog board.

Change 467139 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Disable AICaptcha data collection

https://gerrit.wikimedia.org/r/467139

Change 467139 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable AICaptcha data collection

https://gerrit.wikimedia.org/r/467139

Mentioned in SAL (#wikimedia-operations) [2018-10-15T18:39:47Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:467139|Disable AICaptcha data collection (T186244)]] (duration: 00m 49s)

Tgr added a comment.Jan 3 2019, 8:18 AM

This project has seen no activity for over half a year, I have other priorities for the next half year at least, and even though it has been disabled, the module manifest still takes up some small amount of bandwith. Let's fully undeploy for now, it can be re-added later if there is interest and time.

Change 481986 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/WikimediaEvents@master] Remove AICaptcha code

https://gerrit.wikimedia.org/r/481986

Change 481987 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Remove AICaptcha settings

https://gerrit.wikimedia.org/r/481987

Change 481986 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Remove AICaptcha code

https://gerrit.wikimedia.org/r/481986

Change 481987 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove AICaptcha settings

https://gerrit.wikimedia.org/r/481987

Mentioned in SAL (#wikimedia-operations) [2019-01-10T19:50:35Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:481987|Remove AICaptcha settings (T186244)]] (duration: 00m 52s)

Tgr closed this task as Resolved.Jan 10 2019, 8:04 PM

Undeployed.

Tgr updated the task description. (Show Details)Jan 10 2019, 8:05 PM